
#
# WineHQ
#
Summary: Simple Docker UI 
Name: simple-docker-ui
Version: 0.55
Release: 1%{?dist}
Group: Applications
License: GPL
Distribution: Centos 7 Linux
Vendor: https://github.com/gpouilloux/gnome-shell-extension-docker
Packager: Andreas Benzler andreas@benzlerweb.de

# https://github.com/felixgborrego/simple-docker-ui/releases/download/v0.5.4/SimpleDockerUI-linux-x64.zip
Source0: SimpleDockerUI-linux-x64.zip
Source1: SimpleDockerUI_128.png
Source2: simple-docker-ui.desktop
Requires: docker

AutoReqProv: no

%description
SimpleDockerUI to manage docker container.

%prep

[ "$(ls -A $(pwd))" ] && rm -r * 

unzip  %{SOURCE0}
cp %{SOURCE1} dist/SimpleDockerUI-linux-x64/
%build

%install 
install -d %{buildroot}/opt/SimpleDockerUI
install -d %{buildroot}/usr/bin
install -d %{buildroot}/usr/share/applications

cp -r %{_builddir}/dist/SimpleDockerUI-linux-x64/* %{buildroot}/opt/SimpleDockerUI/
cd %{buildroot}/usr/bin
ln -s ../../opt/SimpleDockerUI/SimpleDockerUI .
cp %{SOURCE2} %{buildroot}/usr/share/applications

%files
%defattr(-, root, root)
/opt/SimpleDockerUI
/usr/bin/SimpleDockerUI
/usr/share/applications/simple-docker-ui.desktop

%doc

%changelog
* Mon Jul 17 2017 Andreas Benzler <andreas@benzlerweb.de> 0.55 - 1
- create spec file and add desktop & icon file 

